### 7.18.7 textures.inc - Texture and pattern macros

`Irregular_Bricks_Ptrn (Mortar Thickness, X-scaling, Variation, Roundness)`. This function pattern creates a pattern of bricks of varying lengths on the x-y plane. This can be useful in building walls that don't look like they were built by a computer. Note that mortar thickness between bricks can vary somewhat, too.
Parameters:

- `Mortar Thickness` = Thickness of the mortar (0-1).
- `X-scaling` = The scaling of the bricks (but not the mortar) in the x direction.
- `Variation` = The amount by which brick lengths will vary (0=none, 1=100%).
- `Roundness` = The roundness of the bricks (0.01=almost rectangular, 1=very round).

`Tiles_Ptrn()`. This macro creates a repeating box pattern on the x-y plane. It can be useful for creating grids. The cells shade continuously from the center to the edges.
Parameters: None.

`Hex_Tiles_Ptrn()`. This macro creates a pattern that is a sort of cross between the hexagon pattern and a repeating box pattern. The hexagonal cells shade continuously from the center to the edges.
Parameters: None.

`Star_Ptrn (Radius, Points, Skip)`. This macro creates a pattern that resembles a star. The pattern is in the x-y plane, centered around the origin.
Parameters:

- `Radius` = The radius of a circle drawn through the points of the star.
- `Points` = The number of points on the star.
- `Skip` = The number of points to skip when drawing lines between points to form the star. A normal 5-pointed star skips 2 points. A Star of David also skips 2 points. Skip must be less than Points/2 and greater than 0. Integers are preferred but not required. Skipping 1 point makes a regular polygon with Points sides.
- `Pigment` = The pigment to be applied to the star.
- `Background` = The pigment to be applied to the background.